# $Revision: 1.17 $, $Date: 2010/04/11 09:10:35 $
Summary:	DomainKey Library for email servers & clients
Summary(pl.UTF-8):	Biblioteka DomainKey dla serwerów i klientów poczty elektronicznej
Name:		libdomainkeys
Version:	0.68
Release:	6
License:	Yahoo! DomainKeys Public License Agreement v1.1
Group:		Libraries
Source0:	http://dl.sourceforge.net/domainkeys/%{name}-%{version}.tar.gz
# Source0-md5:	c9fe164d6296e7ad5468580875ac4f2e
Patch0:		%{name}-libtool.patch
Patch1:		%{name}-segv.patch
Patch2:		%{name}-dknewkey.patch
URL:		http://domainkeys.sourceforge.net/
BuildRequires:	openssl-devel
Requires:	mktemp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DomainKey Library for email servers & clients.

%description -l pl.UTF-8
Biblioteka DomainKey dla serwerów i klientów poczty elektronicznej.

%package devel
Summary:	Header files for libdomainkeys library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdomainkeys
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel

%description devel
Header files for libdomainkeys library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdomainkeys.

%package static
Summary:	Static libdomainkeys library
Summary(pl.UTF-8):	Statyczna biblioteka libdomainkeys
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdomainkeys library.

%description static -l pl.UTF-8
Statyczna biblioteka libdomainkeys.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DBIND_8_COMPAT"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir}}

libtool --mode=install install dknewkey dktest $RPM_BUILD_ROOT%{_bindir}
install dktrace.h domainkeys.h $RPM_BUILD_ROOT%{_includedir}
libtool --mode=install install libdomainkeys.la $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.html CHANGES
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdomainkeys.spec,v $
Revision 1.17  2010/04/11 09:10:35  arekm
- rel 6; fix libtool install

Revision 1.16  2010/04/11 06:27:46  arekm
- release 5

Revision 1.15  2008/07/27 23:00:56  arekm
- release 4

Revision 1.14  2007-02-13 06:46:50  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.12  2006/10/01 11:29:28  arekm
- rebuild

Revision 1.11  2006/08/08 21:52:01  adamg
- release 2; rebuild against openssl-0.9.8b

Revision 1.10  2005/09/29 19:25:51  arekm
- up to 0.68

Revision 1.9  2005/08/21 18:52:46  arekm
- up to 0.67

Revision 1.8  2005/06/26 17:28:45  qboosh
- pl for base

Revision 1.7  2005/06/25 16:49:07  glen
- fixed dknewkey script

Revision 1.6  2005/06/25 16:12:18  arekm
- rel 5; works

Revision 1.5  2005/06/25 15:23:58  arekm
- rel 4

Revision 1.4  2005/06/25 15:05:10  arekm
- rel3; segv fixed

Revision 1.3  2005/06/25 14:29:51  arekm
- add dktrace.h

Revision 1.2  2005/06/25 14:24:50  arekm
- up to 0.66; shared library

Revision 1.1  2005/06/25 13:05:51  arekm
- new
